// ファイル名: Ch04/objectScope.cc 
#include <iostream> 
using namespace std; 
void printDoubleValue(double); 
 
static const double pi = 3.14159; 
 
int main() 
{ 
  double twoPi = 2.0*pi; 
  printDoubleValue(twoPi); 
  { 
    double fourPi = 4.0*pi; 
    printDoubleValue(fourPi); 
    double twoPi = 0.12345; 
    printDoubleValue(twoPi); 
  } 
  printDoubleValue(twoPi); 
} 
void printDoubleValue(double val) 
{ 
  string message = "Passed Value: "; 
  cout << message    << val  
       << "  | pi: " << pi <<  endl; 
}
